# GroundedTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class GroundedTag

Battler tag for effects that ground the source, allowing Ground-type moves to hit them. Encompasses two tag types:

#### Item

IGNORE_FLYING: Persistent grounding effects (i.e. from Smack Down and Thousand Waves)

#### Item

ROOSTED: One-turn grounding effects (i.e. from Roost)

#### Hierarchy (view full)

- BattlerTag
  - GroundedTag

- Defined in src/data/battler-tags.ts:1481

#####
Index

### Constructors

constructor

### Properties

lapseType
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new GroundedTag(tagType, lapseType, sourceMove): GroundedTag

- #### Parameters

  - tagType: BattlerTagType
  - lapseType: BattlerTagLapseType
  - sourceMove: Moves

  #### Returns GroundedTag

  Overrides BattlerTag.constructor

  - Defined in src/data/battler-tags.ts:1482

## Properties

### lapseType

lapseType: BattlerTagLapseType

Inherited from BattlerTag.lapseType

- Defined in src/data/battler-tags.ts:34

### `Optional` sourceId

sourceId?: number

Inherited from BattlerTag.sourceId

- Defined in src/data/battler-tags.ts:37

### sourceMove

sourceMove: Moves

Inherited from BattlerTag.sourceMove

- Defined in src/data/battler-tags.ts:36

### tagType

tagType: BattlerTagType

Inherited from BattlerTag.tagType

- Defined in src/data/battler-tags.ts:33

### turnCount

turnCount: number

Inherited from BattlerTag.turnCount

- Defined in src/data/battler-tags.ts:35

## Methods

### canAdd

- canAdd(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Inherited from BattlerTag.canAdd

  - Defined in src/data/battler-tags.ts:47

### getDescriptor

- getDescriptor(): string

- #### Returns string

  Inherited from BattlerTag.getDescriptor

  - Defined in src/data/battler-tags.ts:61

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from BattlerTag.getMoveName

  - Defined in src/data/battler-tags.ts:69

### isSourceLinked

- isSourceLinked(): boolean

- #### Returns boolean

  Inherited from BattlerTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:65

### lapse

- lapse(pokemon, lapseType): boolean

- #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Inherited from BattlerTag.lapse

  - Defined in src/data/battler-tags.ts:57

### loadTag

- loadTag(source): void

- When given a battler tag or json representing one, load the data for it. This is meant to be inherited from by any battler tag with custom attributes

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Inherited from BattlerTag.loadTag

  - Defined in src/data/battler-tags.ts:80

### onAdd

- onAdd(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from BattlerTag.onAdd

  - Defined in src/data/battler-tags.ts:51

### onOverlap

- onOverlap(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from BattlerTag.onOverlap

  - Defined in src/data/battler-tags.ts:55

### onRemove

- onRemove(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from BattlerTag.onRemove

  - Defined in src/data/battler-tags.ts:53